javax.websocket

## Class EncodeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.websocket.EncodeException

All Implemented Interfaces:
  java.io.Serializable

    public class EncodeException
    extends java.lang.Exception

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`EncodeException(java.lang.Object object, java.lang.String message)`
`EncodeException(java.lang.Object object, java.lang.String message, java.lang.Throwable cause)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `getObject()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### EncodeException

    public EncodeException(java.lang.Object object,
                           java.lang.String message)

#### EncodeException

    public EncodeException(java.lang.Object object,
                           java.lang.String message,
                           java.lang.Throwable cause)

### Method Detail

#### getObject

    public java.lang.Object getObject()